QGIS Application - Bug report #16987
a newly created bookmark (via New Bookmark button) has the wrong extent
2017-08-08 10:08 PM - Steven Mizuno

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:master Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24886
Description

Zooming to this new bookmark shows a much different extent on the map.

Examining the x, y values in the bookmarks panel shows that xMax and yMin values are interchanged. Manually exchanging these two
values fixes the bookmark.

Imported bookmarks (exported from QGIS 2.14) are OK.

Examining qgsbookmarks.cpp | find that the insert query (in two locations) has a different order for the column list vs. the parameter list,
specifically xmax and ymin.

This is a regression from 2.18.

I am using OSGeo4W nightly build on Windows 8.1 64-bit system.

Associated revisions

Revision 7¢08b715 - 2017-11-16 12:01 PM - Harrissou Santanna

[Bugfix]Fix Bookmarks xmax and ymin columns inversion (#5643)

(fix #16987)

History

#1 - 2017-08-09 09:06 AM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2017-11-15 10:17 PM - Harrissou Santanna
- Pull Request or Patch supplied changed from No to Yes

see https:/github.com/qgis/QGIS/pull/5643

#3 - 2017-11-16 12:01 PM - Harrissou Santanna
- % Done changed from 0 to 100
- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/5643

Applied in changeset commit:qgis|7c08b7155b3b6f0375a1cccd0d10d31¢c18b72de6.
